Bug 834967 - virt-manager should display memory and HDD allocation in the overview
virt-manager should display memory and HDD allocation in the overview
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All All
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 22:12 EDT by felicitus
Modified: 2014-01-31 20:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 20:41:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description felicitus 2012-06-24 22:12:52 EDT
Description of feature:

In the VM overview, virt-manager should display how much memory is currently allocated to the VMs, as well as HDD size. This would help in deciding how much memory is left on the machine for new VMs.

Version-Release number of selected component (if applicable):

0.9.1
Comment 1 Marko Myllynen 2012-09-03 04:28:40 EDT
(In reply to comment #0)
> Description of feature:
> 
> In the VM overview, virt-manager should display how much memory is currently
> allocated to the VMs, as well as HDD size. This would help in deciding how
> much memory is left on the machine for new VMs.

It would be helpful if virt-manager would display both the host memory usage as well as memory usage for each guest (as is now done for CPU usage already).
Comment 2 Dave Allan 2013-02-22 16:05:20 EST
Indeed, it seems like some of the space allocated for VMs' names could be used for additional statistics.
Comment 3 Cole Robinson 2014-01-31 20:41:49 EST
Upstream virt-manager shows a graph of actual VM memory usage now.

As far as listing actual memory or disk usage numbers, I don't want to add that to the main screen. We get away with numbers on their fine for now. WRT disk space available, the New VM wizard should show you everything you need to know at a glance.

And combined memory usage of all VMs is often not the most useful metric to determine if you can add another VM to the host: most virt-manager users are desktop users, where they may have 1-10 vms, but rarely more than 2 running at the same time. So combined memory usage isn't too interesting in that case.

Given all that, and the memory usage graph in virt-manager git, I'm closing this

Note You need to log in before you can comment on or make changes to this bug.